import request from '@/utils/request'

// 查询酒评点赞列表
export function listLike(query) {
  return request({
    url: '/brewery/like/list',
    method: 'get',
    params: query
  })
}

// 查询酒评点赞详细
export function getLike(id) {
  return request({
    url: '/brewery/like/' + id,
    method: 'get'
  })
}

// 新增酒评点赞
export function addLike(data) {
  return request({
    url: '/brewery/like',
    method: 'post',
    data: data
  })
}

// 修改酒评点赞
export function updateLike(data) {
  return request({
    url: '/brewery/like',
    method: 'put',
    data: data
  })
}

// 删除酒评点赞
export function delLike(id) {
  return request({
    url: '/brewery/like/' + id,
    method: 'delete'
  })
}
